Subject: bug#58992: 28.2; "lax space matching" no longer works

From: Vincent Lefevre <[email-masked]>
Date: Thu, 3 Nov 2022 19:28:09 +0100

On 2022-11-03 18:18:53 +0000, Gregory Heytings wrote:
> Okay, this is because of:
> 
> commit 74d091a0a665da5dc01989d1b06a61ee21b975b2
> Author: Lars Ingebrigtsen <[email-masked]>
> Date:   Fri Sep 10 12:27:28 2021 +0200
> 
>     Change the default value of search-whitespace-regexp
> 
>     * lisp/isearch.el (search-whitespace-regexp): Change the default
>     to always exclude newlines from the set (bug#21278).  It used to
>     be mode-dependent whether newlines were included or not, and this
>     was confusing as a user interface.
> 
> which changed the default value of search-whitespace-regexp from "\\s-+" to
> "[ \t]".

This is still buggy in Emacs 28.2 if I change the value:

search-whitespace-regexp is a variable defined in ‘isearch.el’.

Its value is "\\s-+"
Original value was "[ 	]+"

This works in Fundamental mode, but not in Lisp mode.

BTW, I don't understand what "\\s-+" means. I thought it was a
whitespace followed by a minus character repeated at least once.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)